TALLER DE QR ESTÁTICOS
Acerca de QR Meadow
QR Meadow es un generador de códigos QR gratis que funciona por completo en tu navegador. Crea códigos estáticos que siguen funcionando mientras sean legibles, y verifica cada diseño antes de que lo descargues.
Qué hace QR Meadow
QR Meadow convierte doce tipos de contenido en códigos QR: direcciones web, datos de redes Wi-Fi, tarjetas de contacto (vCard), correos predefinidos, texto simple, números de teléfono, mensajes de texto, chats de WhatsApp, ubicaciones en el mapa, eventos de calendario, pagos Pix y transferencias SEPA (EPC / GiroCode). Cada tipo tiene su propio formulario con comprobaciones para los errores habituales, como una contraseña de Wi-Fi demasiado corta o una dirección de correo con una errata. Puedes partir de un estilo predefinido o cambiar colores, degradados, formas de los módulos y estilos de las esquinas, añadir un logo, un marco y un texto corto, y descargar el resultado como imagen PNG, SVG vectorial o PDF vectorial. El generador masivo crea hasta 500 códigos a partir de una lista o un CSV, en un ZIP o en hojas de etiquetas para imprimir, y el lector lee un código desde una imagen.
Cómo funciona
Cuando abres el generador, tu navegador descarga la página y unos pocos archivos de script pequeños de este sitio. A partir de ahí, todo ocurre en tu dispositivo. Un codificador en JavaScript convierte en código QR el contenido que escribes, lo dibuja como formas vectoriales y lo muestra en la vista previa. Cada cambio lanza una verificación de escaneo: el diseño terminado se vuelve a decodificar con el lector de código abierto jsQR a tres tamaños distintos, y solo ves una marca verde si el resultado coincide exactamente con lo que escribiste. Las descargas se generan de la misma forma, sin pasar por ningún servidor.
Ese diseño es también lo que permite que el sitio sea privado. No hay cuentas ni scripts publicitarios. Cloudflare añade analítica de rendimiento de la página en el dominio alojado; la app no envía el contenido de tus QR a ese beacon. Tu contraseña de Wi-Fi, tus datos de contacto y tu logo nunca salen de la pestaña del navegador. Consulta la página de privacidad para conocer los detalles.
Solo códigos estáticos
Todos los códigos que crea QR Meadow son estáticos: el contenido está escrito en el propio código. Un código estático no se puede editar después de imprimirlo ni puede contar escaneos, pero tampoco se puede desactivar. No depende de que este sitio web siga en línea, de una suscripción ni del servidor de redirección de nadie.
Los códigos dinámicos funcionan de otra manera. Contienen un enlace corto al servidor del proveedor, que redirige al visitante al destino real. Eso permite editarlos y tener estadísticas de escaneo, y para algunas campañas es la opción correcta. La contrapartida es que el código depende del proveedor. El centro de ayuda de un gran proveedor, por ejemplo, indica que los códigos dinámicos creados en su prueba gratuita se desactivan cuando termina la prueba, mientras que los códigos estáticos siguen funcionando. QR Meadow deja fuera esa contrapartida por completo.
Lo que QR Meadow no hace
- No hay códigos dinámicos ni editables, ni estadísticas de escaneo.
- No aloja archivos, imágenes, videos ni formularios: para eso hace falta un servidor que guarde tu contenido.
- No escanea con la cámara: el lector lee las imágenes que añades, y el sitio no pide acceso a la cámara.
Estándares y componentes de código abierto
- La codificación QR usa la biblioteca QR Code generator de Kazuhiko Arase (licencia MIT).
- La verificación de escaneo usa jsQR (Apache License 2.0).
- Los códigos de Wi-Fi siguen el formato
WIFI:, ampliamente compatible y documentado por el proyecto ZXing, incluidas sus reglas de escape. - Las tarjetas de contacto siguen vCard 3.0 (RFC 2426), y los códigos de correo usan enlaces
mailto:según se definen en RFC 6068. - Los códigos de teléfono, SMS,
geo:y calendario usan las formastel:,SMSTO:,geo:yVEVENTque recoge ZXing; el texto de los eventos se escapa como en iCalendar (RFC 5545). - Los códigos de WhatsApp usan los enlaces click-to-chat
wa.medocumentados por WhatsApp, y los enlaces de mapas siguen los formatos documentados por Google Maps y Apple Maps.
Las licencias de ambas bibliotecas se incluyen con los archivos del sitio. Las pruebas cubren todos los tipos de contenido con cada nivel de corrección de errores y cada forma de módulo, y decodifican cada código generado para comprobar que devuelve su contenido original.
Comentarios
QR Meadow es un proyecto pequeño e independiente que sigue mejorando. Si un código creado aquí no se escanea en tu teléfono, los datos más útiles son el tipo de contenido, los ajustes de estilo que elegiste y el teléfono y la app con los que lo escaneaste.
Preguntas
¿QR Meadow es gratis?
Sí. No hay registro, ni planes de pago, ni límite en el número de códigos que creas ni en las veces que se escanean.
¿Necesito una cuenta?
No. No hay cuentas. Nada de lo que creas se guarda en un servidor, así que no hay nada en lo que iniciar sesión.
¿Mis códigos dejarán de funcionar si este sitio deja de estar en línea?
No. El contenido está dentro del propio código. Un código que hayas descargado sigue funcionando sin este sitio web.
¿Puedo usar los códigos con fines comerciales?
Sí. Los códigos que creas son tuyos y puedes usarlos en productos, envases, carteles y material de marketing.
¿Por qué no hay seguimiento de escaneos?
Contar escaneos requiere una redirección a través de un servidor, lo que haría que tus códigos dependieran de ese servidor. QR Meadow solo crea códigos estáticos.